org.jbpm.kie.services.impl.xml

## Class ServicesProcessDataEventListener

- java.lang.Object
- - org.jbpm.kie.services.impl.xml.ServicesProcessDataEventListener

- All Implemented Interfaces:
    ProcessDataEventListener

      public class ServicesProcessDataEventListener
      extends Object
      implements ProcessDataEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServicesProcessDataEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Boolean` | `asBoolean(Object value)`
    `protected Integer` | `asInt(Object value)`
    `protected String` | `asString(Object value)`
    `void` | `onBuildComplete(org.kie.api.definition.process.Process process)`
    `void` | `onComplete(org.kie.api.definition.process.Process process)`
    `void` | `onMetaDataAdded(String name, Object data)`
    `void` | `onNodeAdded(Node node)`
    `void` | `onProcessAdded(org.kie.api.definition.process.Process process)`
    `protected void` | `resolveUnqualifiedClasses()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesProcessDataEventListener

          public ServicesProcessDataEventListener()

  - ### Method Detail

    - #### onNodeAdded

          public void onNodeAdded(Node node)

      Specified by:
        `onNodeAdded` in interface `ProcessDataEventListener`

    - #### onProcessAdded

          public void onProcessAdded(org.kie.api.definition.process.Process process)

      Specified by:
        `onProcessAdded` in interface `ProcessDataEventListener`

    - #### onMetaDataAdded

          public void onMetaDataAdded(String name,
                                      Object data)

      Specified by:
        `onMetaDataAdded` in interface `ProcessDataEventListener`

    - #### onComplete

          public void onComplete(org.kie.api.definition.process.Process process)

      Specified by:
        `onComplete` in interface `ProcessDataEventListener`

    - #### resolveUnqualifiedClasses

          protected void resolveUnqualifiedClasses()

    - #### onBuildComplete

          public void onBuildComplete(org.kie.api.definition.process.Process process)

      Specified by:
        `onBuildComplete` in interface `ProcessDataEventListener`

    - #### asInt

          protected Integer asInt(Object value)

    - #### asBoolean

          protected Boolean asBoolean(Object value)

    - #### asString

          protected String asString(Object value)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.